Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.taskqueue
Class RetryOptions.Builder

    java.lang.Object
      com.google.appengine.api.taskqueue.RetryOptions.Builder

Enclosing class:
  RetryOptions

    public static final class RetryOptions.Builder

extends java.lang.Object

Provides static creation methods for `RetryOptions`.

Method Summary
`static RetryOptions` | `withDefaults()` Returns default `RetryOptions`.
`static RetryOptions` | `withMaxBackoffSeconds(double maxBackoffSeconds)` Returns default `RetryOptions` and calls `RetryOptions.maxBackoffSeconds(double)`.
`static RetryOptions` | `withMaxDoublings(int maxDoublings)` Returns default `RetryOptions` and calls `RetryOptions.maxDoublings(int)`.
`static RetryOptions` | `withMinBackoffSeconds(double minBackoffSeconds)` Returns default `RetryOptions` and calls `RetryOptions.minBackoffSeconds(double)`.
`static RetryOptions` | `withTaskAgeLimitSeconds(long taskAgeLimitSeconds)` Returns default `RetryOptions` and calls `RetryOptions.taskAgeLimitSeconds(long)`.
`static RetryOptions` | `withTaskRetryLimit(int taskRetryLimit)` Returns default `RetryOptions` and calls `RetryOptions.taskRetryLimit(int)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withTaskRetryLimit

    public static RetryOptions withTaskRetryLimit(int taskRetryLimit)

  Returns default `RetryOptions` and calls `RetryOptions.taskRetryLimit(int)`.

### withTaskAgeLimitSeconds

    public static RetryOptions withTaskAgeLimitSeconds(long taskAgeLimitSeconds)

  Returns default `RetryOptions` and calls `RetryOptions.taskAgeLimitSeconds(long)`.

### withMinBackoffSeconds

    public static RetryOptions withMinBackoffSeconds(double minBackoffSeconds)

  Returns default `RetryOptions` and calls `RetryOptions.minBackoffSeconds(double)`.

### withMaxBackoffSeconds

    public static RetryOptions withMaxBackoffSeconds(double maxBackoffSeconds)

  Returns default `RetryOptions` and calls `RetryOptions.maxBackoffSeconds(double)`.

### withMaxDoublings

    public static RetryOptions withMaxDoublings(int maxDoublings)

  Returns default `RetryOptions` and calls `RetryOptions.maxDoublings(int)`.

### withDefaults

    public static RetryOptions withDefaults()

  Returns default `RetryOptions`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD